<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Messenger</title>
    <link rel="stylesheet" href="main.css">
</head>
<body>
    <div class="container">
        <div id="messages">
        </div>

    </div>

    <div class="text">
        <input type="text" id="inputField" placeholder="Enter your message">
        <button type="submit" id="sendBtn"><span>Send</span></button>
    </div>
</body>
<script>
    autoData = [{message: "Hi user",createdAt: "",sender: "agent",_id: 1,},{message: "I am good, how about you",createdAt: "",sender: "agent",_id: 3,},{message: "How can I help you today ?",createdAt: "",sender: "agent",_id: 5,},];
    var userData = [];

    var timeSince = function(date) {
        if (typeof date !== 'object') {
            date = new Date(date);
        }

        var seconds = Math.floor((new Date() - date) / 1000);
        var intervalType;

        var interval = Math.floor(seconds / 31536000);
        if (interval >= 1) {
            intervalType = 'year';
        } else {
            interval = Math.floor(seconds / 2592000);
            if (interval >= 1) {
            intervalType = 'month';
            } else {
            interval = Math.floor(seconds / 86400);
            if (interval >= 1) {
                intervalType = 'day';
            } else {
                interval = Math.floor(seconds / 3600);
                if (interval >= 1) {
                intervalType = "hour";
                } else {
                interval = Math.floor(seconds / 60);
                if (interval >= 1) {
                    intervalType = "minute";
                } else {
                    interval = seconds;
                    intervalType = "second";
                }
                }
            }
            }
        }

        if (interval > 1 || interval === 0) {
            intervalType += 's';
        }

        return interval + ' ' + intervalType;
    };


    var btn = document.getElementById('sendBtn');
    var messagesList = document.getElementById('messages')

    var messagediv = document.createElement('div')
    var messageText = document.createElement('p')

    var time = document.createElement('p')
    time.className = 'timeInfo'

    var text = autoData[0].message
    autoData[0].createdAt = new Date()
    time.textContent =  'Just now'

    
    setInterval(() => {
        autoData[0].interval =  timeSince(autoData[0].createdAt) + ' ago'
        time.textContent =  timeSince(autoData[0].createdAt) + ' ago'
    }, 20000);

    
    messageText.append(text)
    messagediv.append(messageText)
    messagediv.append(time)
    
    
    
    messagesList.append(messagediv)  
    
   
    btn.addEventListener('click' , function(){

        var obj = {}

        obj.message = document.getElementById('inputField').value;
        obj.createdAt = new Date();
        obj.sender = 'user'
        
        
        userData.push(obj) 
        
        var messagediv = document.createElement('div')

        var messageText = document.createElement('p')
        messageText.className = 'user'

        var time = document.createElement('p')
        time.className = 'timeInfo user'
        time.textContent =  'Just now'

        setInterval(() => {
            obj.interval = timeSince(userData[userData.length - 1].createdAt) + ' ago'
            time.textContent =  timeSince(userData[userData.length - 1].createdAt) + ' ago'
        }, 20000);

        var text = userData[userData.length - 1].message
        
        messageText.append(text)
        messagediv.append(messageText)
        messagediv.append(time)
        
        messagesList.append(messagediv)  
        
        document.getElementById('inputField').value= null
        document.getElementById('inputField').focus();
        document.getElementById('inputField').select(); 

        setTimeout(() => {
            
            var messagediv = document.createElement('div')
            var messageText = document.createElement('p')
            var text = autoData[userData.length].message

            var time = document.createElement('p')
            time.className = 'timeInfo'
            time.textContent =  'Just now'

            autoData[userData.length].createdAt = new Date()

            setInterval(() => {
                autoData[userData.length].interval = timeSince(autoData[userData.length].createdAt) + ' ago'
                time.textContent =  timeSince(autoData[userData.length].createdAt) + ' ago'
            }, 20000);
            
            messageText.append(text)
            messagediv.append(messageText)
            messagediv.append(time)
            messagesList.append(messagediv)  
            
            return
        }, 1000);        
    })
  
   

</script>
</html>